flink-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stephan Epping <stephan.epp...@zweitag.de>
Subject Re: 1.1.4 IntelliJ Problem
Date Thu, 05 Jan 2017 07:18:47 GMT
Hey Yuri,

thanks a lot. It was flink-spector that was requiring flink-test-utils 1.1.0

best,
Stephan

> On 04 Jan 2017, at 13:17, Yury Ruchin <yuri.ruchin@gmail.com> wrote:
> 
> Hi Stephan,  
> 
> It looks like you have libraries from different versions of Flink distribution on the
same classpath.
> 
> ForkableFlinkMiniCluster resides in flink-test-utils. As of distribution version 1.1.3
it invokes JobManager.startJobManagerActors() with 6 arguments. The signature changed by 1.1.4,
and ForkableFlinkMiniCluster now invokes the method with 8 arguments of different types. This
might mean that flink-test-utils library on your classpath has version 1.1.3 whereas flink-runtime
has 1.1.4.
> 
> You might want to thoroughly inspect your classpath to ensure that every Flink-related
dependency has version 1.1.4.
> 
> Regards,
> Yury
> 
> 2017-01-04 11:20 GMT+03:00 Stephan Epping <stephan.epping@zweitag.de <mailto:stephan.epping@zweitag.de>>:
> I also changed the scala version of the packages/artifacts to 2.11, with no success.
> Further, I am not deeply familiar with maven or java dependency management at all.
> 
> best Stephan
> 
>> On 03 Jan 2017, at 22:06, Stephan Ewen <sewen@apache.org <mailto:sewen@apache.org>>
wrote:
>> 
>> Hi!
>> 
>> It is probably some inconsistent configuration in the IDE.
>> 
>> It often helps to do "Maven->Reimport" or use "restart and clear caches".
>> 
>> 
>> On Tue, Jan 3, 2017 at 9:48 AM, Stephan Epping <stephan.epping@zweitag.de <mailto:stephan.epping@zweitag.de>>
wrote:
>> Hey,
>> 
>> thanks for the reply. I didn’t change the scala version, as it worked before. I
just changed the flink version in my pom.xml thats it, a one line change.
>> Maybe you could elaborate a bit more, what I can do to change the scala version?
>> 
>> best Stephan
>> 
>> 
>>> On 03 Jan 2017, at 03:11, Kurt Young <ykt836@gmail.com <mailto:ykt836@gmail.com>>
wrote:
>>> 
>>> Seems like you didn't setup the correct scala SDK
>>> 
>>> best,
>>> Kurt
>>> 
>>> On Mon, Jan 2, 2017 at 10:41 PM, Stephan Epping <stephan.epping@zweitag.de
<mailto:stephan.epping@zweitag.de>> wrote:
>>> Hi,
>>> 
>>> I am getting this error running my tests with 1.1.4 inside intellij ide.
>>> 
>>> java.lang.NoSuchMethodError: org.apache.flink.runtime.jobmanager.JobManager$.startJobManagerActors(Lorg/apache/flink/configuration/Configuration;Lakka/actor/ActorSystem;Lscala/Option;Lscala/Option;Ljava/lang/Class;Ljava/lang/Class;)Lscala/Tuple2;
>>> 
>>> 	at org.apache.flink.test.util.ForkableFlinkMiniCluster.startJobManager(ForkableFlinkMiniCluster.scala:103)
>>> 	at org.apache.flink.runtime.minicluster.FlinkMiniCluster$$anonfun$1.apply(FlinkMiniCluster.scala:292)
>>> 	at org.apache.flink.runtime.minicluster.FlinkMiniCluster$$anonfun$1.apply(FlinkMiniCluster.scala:286)
>>> 	at scala.collection.TraversableLike$$anonfun$map$1.apply(TraversableLike.scala:244)
>>> 	at scala.collection.TraversableLike$$anonfun$map$1.apply(TraversableLike.scala:244)
>>> 	at scala.collection.immutable.Range.foreach(Range.scala:141)
>>> 	at scala.collection.TraversableLike$class.map(TraversableLike.scala:244)
>>> 	at scala.collection.AbstractTraversable.map(Traversable.scala:105)
>>> 	at org.apache.flink.runtime.minicluster.FlinkMiniCluster.start(FlinkMiniCluster.scala:286)
>>> 	at org.apache.flink.runtime.minicluster.FlinkMiniCluster.start(FlinkMiniCluster.scala:277)
>>> 	at org.apache.flink.test.util.ForkableFlinkMiniCluster.start(ForkableFlinkMiniCluster.scala:255)
>>> 	at org.apache.flink.test.util.TestBaseUtils.startCluster(TestBaseUtils.java:152)
>>> 	at org.apache.flink.test.util.TestBaseUtils.startCluster(TestBaseUtils.java:126)
>>> 	at org.flinkspector.datastream.DataStreamTestEnvironment.createTestEnvironment(DataStreamTestEnvironment.java:72)
>>> 
>>> Any ideas?
>>> 
>>> best,
>>> Stephan
>>> 
>>> 
>> 
>> 
> 
> 


Mime
View raw message